#!/bin/bash
# takes an app name, and the git repo where it is located as arguments
cd `dirname $0`
bold="`tput -T${TERM:-dumb} bold`"
red="`tput -T${TERM:-dumb} setf 4`"
green="`tput -T${TERM:-dumb} setf 2`"
sgr0="`tput -T${TERM:-dumb} sgr0`"
APP="$1"
REPO="$2"
if [ "$APP" == "" ]; then
    echo "Must specify application"
    exit 1
fi
if [ "$REPO" == "" ]; then
    echo "Must specify path to git repo"
    exit 1
fi

for version in `git --git-dir=$REPO tag | grep scripts | sed -e 's/.*-\(.*\)-.*/\1/'`; do
    ./all-tests.sh $APP $version
done
